Substy Developers
Publishing

Create creator story

Publish a creator story using the supplied media and supported story elements.

POST/v1/agencies/{agencyId}/creators/{creatorId}/stories

Publish a creator story using the supplied media and supported story elements.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creators/string/stories" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "mediaFiles": [      {        "processId": "string",        "name": "string",        "host": "string",        "extra": "string"      }    ]  }'
{  "data": {    "id": "string",    "userId": "string",    "isReady": true,    "createdAt": "string",    "canvasHeight": 0,    "canvasWidth": 0,    "media": [      {        "id": "string",        "type": "photo",        "isReady": true,        "duration": 0,        "files": {          "full": null,          "thumb": null,          "preview": null,          "squarePreview": null        }      }    ],    "texts": [      {        "text": "string",        "type": "text",        "scale": 0,        "textAlign": "string",        "textWidth": 0,        "textHeight": 0,        "color": "string",        "bgColor": "string",        "fontFamily": "string",        "fontStyle": null,        "fontWeight": 0,        "top": 0,        "left": 0,        "angle": 0,        "fontSize": "string",        "zIndex": 0      }    ],    "question": null,    "canDelete": true,    "isWatched": true,    "likesCount": 0,    "viewersCount": 0,    "commentsCount": 0,    "tipsAmount": "string"  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}